#!perl

# Quick PDF Library
# Perl Sample: Count form fields in a PDF

# * Remember to set your license key below
# * This sample shows how to count fields in a PDF form

use Win32::OLE;

print "### Count form fields - Quick PDF Library Sample ###\n\n";

my $ClassName;
my $LicenseKey;
my $FileName;
my $FormFieldCount;

$ClassName = 'DebenuPDFLibraryAX1011.PDFLibrary';
$LicenseKey = '...'; # INSERT LICENSE KEY HERE
$FileName = 'pdf_store_order_form.pdf';

my $QP;
my $Result;

$QP = Win32::OLE->new($ClassName);

$QPLibVer = $QP->LibraryVersion; # * Display Quick PDF Library version number
print "Library version: $QPLibVer\n\n";

$Result = $QP->UnlockKey($LicenseKey);
if ($Result == 1) {
    $QPLicInfo = $QP->LicenseInfo; # * Display Quick PDF Library license info
    print "Valid license key: $QPLicInfo\n\n";
    $QP->LoadFromFile($FileName, '');
    $FormFieldCount = $QP->FormFieldCount();
    print "$FileName contains $FormFieldCount form field(s)...\n\n";
}
else {
    print "- Invalid license key -\n\n";
    print "Please set your license key by editing this file\n\n";
}

$QP = undef;
select(undef, undef, undef, 9000 / 1000.0);