#!perl

# Quick PDF Library Sample

# * Remember to set your license key below
# * This sample shows how to unlock the library, draw some
#   simple text onto the page and save the PDF
# * A file called hello-world.pdf is written to disk

use Win32::OLE;

print "### Hello World - Quick PDF Library Sample ###\n\n";

my $ClassName;
my $LicenseKey;
my $FileName;

$ClassName = 'DebenuPDFLibraryAX1011.PDFLibrary';
$LicenseKey = '...'; # INSERT LICENSE KEY HERE
$FileName = 'hello-world.pdf';

my $QP;
my $Result;

$QP = Win32::OLE->new($ClassName);

$QPLibVer = $QP->LibraryVersion; # * Display Quick PDF Library version number
print "Library version: $QPLibVer\n\n";

$Result = $QP->UnlockKey($LicenseKey);
if ($Result == 1) {
    $QPLicInfo = $QP->LicenseInfo; # * Display Quick PDF Library license info
    print "Valid license key: $QPLicInfo\n\n";
    
    # * Draw some simple text
    $QP->DrawText(100, 500, 'Hello world from Perl');
    if ($QP->SaveToFile($FileName) == 1) {
        print "File $FileName was written successfully to disk...\n\n";
    }
    else {
        print "Error, file could not be written\n\n";
    }
}
else {
    print "- Invalid license key -\n\n";
    print "Please set your license key by editing this file\n\n";
}

$QP = undef;
select(undef, undef, undef, 9000 / 1000.0);