#!perl

# Quick PDF Library
# Sample: HTML text

# * Remember to set your license key below
# * This sample shows how to draw simple HTML text onto the page
# * A file called 2.html-text.pdf is written to disk

use Win32::OLE;

print "### Draw HTML Text - Quick PDF Library Sample ###\n\n";

my $ClassName;
my $LicenseKey;
my $FileName;

$ClassName = 'DebenuPDFLibraryAX1011.PDFLibrary';
$LicenseKey = '...'; # INSERT LICENSE KEY HERE
$FileName = 'html-text.pdf';

my $QP;
my $Result;

$QP = Win32::OLE->new($ClassName);

$QPLibVer = $QP->LibraryVersion; # * Display Quick PDF Library version number
print "Library version: $QPLibVer\n\n";

$Result = $QP->UnlockKey($LicenseKey);
if ($Result == 1) {
    $QPLicInfo = $QP->LicenseInfo; # * Display Quick PDF Library license info
    print "Valid license key: $QPLicInfo\n\n";

    $QP->DrawHTMLText(100, 500, 200, 'Here is some <b>bold</b>, <i>italic</i> and <u>underlined</u> text');
    if ($QP->SaveToFile($FileName) == 1) {
        print "File $FileName was written successfully to disk...\n";
    }
    else {
        print "Error, file could not be written\n";
    }
}
else {
    print "- Invalid license key -\n";
    print "Please set your license key by editing this file\n";
}

$QP = undef;
select(undef, undef, undef, 9000 / 1000.0);