#!perl

# Quick PDF Library
# Perl Sample: Set form field value in a PDF form

# * Remember to set your license key below
# * This sample shows how to count fields in a PDF form

use Win32::OLE;

print "### Set form field value - Quick PDF Library Sample ###\n\n";

my $ClassName = 'DebenuPDFLibraryAX1011.PDFLibrary';
my $LicenseKey = '...'; # INSERT LICENSE KEY HERE
my $FileName1 = 'pdf_store_order_form.pdf';
my $FileName2 = 'update_pdf_form.pdf';
my $FormFieldCount;

my $Result;

$QP = Win32::OLE->new($ClassName);

$QPLibVer = $QP->LibraryVersion; # * Display Quick PDF Library version number
print "Library version: $QPLibVer\n\n";

$Result = $QP->UnlockKey($LicenseKey);
if ($Result == 1) {
    $QPLicInfo = $QP->LicenseInfo; # * Display Quick PDF Library license info
    print "Valid license key: $QPLicInfo\n\n";

    $QP->LoadFromFile($FileName1, '');
    if ($QP->SetFormFieldValueByTitle('Company Name', 'Quick PDF Library') == 1) {
        print "Form field value set successfully.\n\n";
    }
    else {
        print "Form field value could not be set!\n\n";
    }

    if ($QP->SaveToFile($FileName2) == 1) {
        print "Updated PDF form $FileName2 saved to disk successfully\n\n";
    }
    else {
        print "Updated PDF form could not be saved to disk. Try again.\n\n";
    }
}
else {
    print "- Invalid license key -\n\n";
    print "Please set your license key by editingthis file\n\n";
}

$QP = undef;
select(undef, undef, undef, 9000 / 1000.0);